/* Win32 compatibility functions.
   Copyright (C) 2001-2002 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU Library General Public License as published
   by the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA.  */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*	Because MS-WINDOWS putenv sets only environments for
	the current module and not the currect proces, we need to set 
	the LANGUAGE variable through gettext_putenv
	e.g. gettext_putenv("LANGUAGE=en");
*/

// calling _putenv from within the DLL
int gettext_putenv(const char *envstring){
	return _putenv (envstring);
}
